FLAC: FLAC++/metadata.h: metadata level 0 interface

FLAC 1.3.1

- Main Page
- Modules
- Classes
- Files

Functions
FLAC++/metadata.h: metadata level 0 interface
FLAC C++ API » FLAC++/metadata.h: metadata interfaces

## Functions
bool | FLAC::Metadata::get_streaminfo (const char *filename, StreamInfo &streaminfo)
bool | FLAC::Metadata::get_tags (const char *filename, VorbisComment *&tags)
bool | FLAC::Metadata::get_tags (const char *filename, VorbisComment &tags)
bool | FLAC::Metadata::get_cuesheet (const char *filename, CueSheet *&cuesheet)
bool | FLAC::Metadata::get_cuesheet (const char *filename, CueSheet &cuesheet)
bool | FLAC::Metadata::get_picture (const char *filename, Picture *&picture,::FLAC__StreamMetadata_Picture_Type type, const char *mime_type, const FLAC__byte *description, unsigned max_width, unsigned max_height, unsigned max_depth, unsigned max_colors)
bool | FLAC::Metadata::get_picture (const char *filename, Picture &picture,::FLAC__StreamMetadata_Picture_Type type, const char *mime_type, const FLAC__byte *description, unsigned max_width, unsigned max_height, unsigned max_depth, unsigned max_colors)

## Detailed Description

Level 0 metadata iterators.

See the C layer equivalent for more.

## Function Documentation

bool FLAC::Metadata::get_streaminfo | ( | const char * | filename,
|  | StreamInfo & | streaminfo
| ) |  |

See FLAC__metadata_get_streaminfo().

bool FLAC::Metadata::get_tags | ( | const char * | filename,
|  | VorbisComment *& | tags
| ) |  |

See FLAC__metadata_get_tags().

bool FLAC::Metadata::get_tags | ( | const char * | filename,
|  | VorbisComment & | tags
| ) |  |

See FLAC__metadata_get_tags().

bool FLAC::Metadata::get_cuesheet | ( | const char * | filename,
|  | CueSheet *& | cuesheet
| ) |  |

See FLAC__metadata_get_cuesheet().

bool FLAC::Metadata::get_cuesheet | ( | const char * | filename,
|  | CueSheet & | cuesheet
| ) |  |

See FLAC__metadata_get_cuesheet().

bool FLAC::Metadata::get_picture | ( | const char * | filename,
|  | Picture *& | picture,
|  | ::FLAC__StreamMetadata_Picture_Type | type,
|  | const char * | mime_type,
|  | const FLAC__byte * | description,
|  | unsigned | max_width,
|  | unsigned | max_height,
|  | unsigned | max_depth,
|  | unsigned | max_colors
| ) |  |

See FLAC__metadata_get_picture().

bool FLAC::Metadata::get_picture | ( | const char * | filename,
|  | Picture & | picture,
|  | ::FLAC__StreamMetadata_Picture_Type | type,
|  | const char * | mime_type,
|  | const FLAC__byte * | description,
|  | unsigned | max_width,
|  | unsigned | max_height,
|  | unsigned | max_depth,
|  | unsigned | max_colors
| ) |  |

See FLAC__metadata_get_picture().

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2014 Xiph.Org Foundation |